Incidents
GET https://uptime4.com/api/incidents/
curl --request GET \
--url 'https://uptime4.com/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열. |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까? 허용되는 값은: comment. |
| datetime_field | 선택 사항 문자열 | 허용된 값: start_datetime, end_datetime, last_failed_check_datetime |
| datetime_start | 선택 사항 문자열 | api_documentation.filters.datetime_start |
| datetime_end | 선택 사항 문자열 | api_documentation.filters.datetime_end |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드. 허용되는 값은: incident_id, start_datetime, end_datetime, last_failed_check_datetime, failed_checks. |
| order_type | 선택 사항 문자열 | 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"user_id": 1,
"monitor_id": 0,
"start_monitor_log_id": 0,
"end_monitor_log_id": 0,
"heartbeat_id": 13,
"start_heartbeat_log_id": 264,
"end_heartbeat_log_id": 0,
"start_datetime": "2026-04-17 14:19:06",
"end_datetime": null,
"last_failed_check_datetime": null,
"failed_checks": 5,
"notification_handlers_ids": [1,2,3],
"comment": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/incidents?page=1",
"last": "https://uptime4.com/api/incidents?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/incidents?page=1"
}
}
GET https://uptime4.com/api/incidents/{incident_id}
curl --request GET \
--url 'https://uptime4.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"monitor_id": 0,
"start_monitor_log_id": 0,
"end_monitor_log_id": 0,
"heartbeat_id": 13,
"start_heartbeat_log_id": 264,
"end_heartbeat_log_id": 0,
"start_datetime": "2026-04-17 14:19:06",
"end_datetime": null,
"last_failed_check_datetime": null,
"failed_checks": 5,
"notification_handlers_ids": [1,2,3],
"comment": null
}
}
POST https://uptime4.com/api/incidents/{incident_id}
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| comment | 선택 사항 문자열 | - |
curl --request POST \
--url 'https://uptime4.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
--url 'https://uptime4.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/incidents/{incident_id}
curl --request DELETE \
--url 'https://uptime4.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \